Bug 1533468 - capabilities-map.yaml references wrong environment files for ceph services
Summary: capabilities-map.yaml references wrong environment files for ceph services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 12.0 (Pike)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 12:38 UTC by jliberma@redhat.com
Modified: 2018-03-28 17:17 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 17:16:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:17:11 UTC
OpenStack gerrit 526077 None stable/pike: MERGED tripleo-heat-templates: Update capabilities-map.yaml to include latest storage environments (I5845e8ca5212a0b97c21d6e44d... 2018-02-16 17:52:40 UTC
Launchpad 1735214 None None None 2018-01-24 16:23:36 UTC

Description jliberma@redhat.com 2018-01-11 12:38:21 UTC
Description of problem:

With OSP 12 Ceph is installed via ceph-ansible templates in environments/ceph-ansible.

capabilities-map.yaml references the legacy templates in puppet/services

Version-Release number of selected component (if applicable):

openstack-tripleo-heat-templates-7.0.3-18.el7ost.noarch

How reproducible:

$ grep -r ceph-radosgw.yaml *
capabilities-map.yaml:          - file: environments/ceph-radosgw.yaml

$ cat environments/ceph-radosgw.yaml 
resource_registry:
  OS::TripleO::Services::CephRgw: ../puppet/services/ceph-rgw.yaml
  OS::TripleO::Services::SwiftProxy: OS::Heat::None
  OS::TripleO::Services::SwiftStorage: OS::Heat::None
  OS::TripleO::Services::SwiftRingBuilder: OS::Heat::None

$ ls docker/services/ceph-ansible/ceph-rgw.yaml
docker/services/ceph-ansible/ceph-rgw.yaml


Additional info: The capabilities map should be pointed to the docker template in Pike.

Comment 5 Yogev Rabl 2018-03-16 14:40:25 UTC
Verified on openstack-tripleo-heat-templates-7.0.9-6.el7ost.noarch

Comment 8 errata-xmlrpc 2018-03-28 17:16:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.